Package ghidra.pcode.emu.jit.gen.op

# Enum Class BinOpGen.TakeOut

java.lang.Object
java.lang.Enum<BinOpGen.TakeOut>
ghidra.pcode.emu.jit.gen.op.BinOpGen.TakeOut

All Implemented Interfaces:
  `Serializable`, `Comparable<BinOpGen.TakeOut>`, `Constable`

Enclosing interface:
  `BinOpGen<T extends JitBinOp>`

public static enum BinOpGen.TakeOut extends Enum<BinOpGen.TakeOut>
A choice of static method parameter to take as operator output

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LEFT`
  The left (second) parameter
  `OUT`
  The out (first) parameter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BinOpGen.TakeOut`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BinOpGen.TakeOut[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OUT

    public static final BinOpGen.TakeOut OUT
    The out (first) parameter

  - ### LEFT

    public static final BinOpGen.TakeOut LEFT
    The left (second) parameter

- ## Method Details

  - ### values

    public static BinOpGen.TakeOut[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BinOpGen.TakeOut valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null